Cyberduck Mountain Duck CLI

#5576 closed defect (fixed)

Keyboard shortcut for "Open URL (HTTP URL)" crashes/hangs Cyberduck

Reported by: http://clukas.myopenid.com/ Owned by: dkocher
Priority: normal Milestone: 4.0
Component: interface Version: 3.8.1
Severity: major Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Version 3.8.0 introduced a bug for me, where Cyberduck would either crash or hang (100% CPU, unresponsive), when I have a file selected in the file view and use the keyboard shortcut for "Open URL (HTTP URL)" (⌘⌥B). If clicked, it works just fine.

I can only test it with SFTP (SSHFTP) servers. The problem occurs on both old and newly created bookmarks.

I re-downloaded Version 3.7 (7380) and the keyboard shortcut works okay with that version.

Surely you'll be needing more information, please tell me what you require.

Change History (6)

comment:1 Changed on Dec 17, 2010 at 11:06:45 AM by dkocher

  • Milestone set to 4.0
  • Status changed from new to assigned
2010-12-17 12:04:49.032 Cyberduck[62189:a07] -[NSMenu representedObject]: unrecognized selector sent to instance 0x155830
Cyberduck(62189,0xa03cf540) malloc: *** error for object 0xa0ab88c0: Non-aligned pointer being freed (2)
*** set a breakpoint in malloc_error_break to debug

comment:2 Changed on Dec 19, 2010 at 3:56:01 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r8107.

comment:3 Changed on Dec 22, 2010 at 3:37:37 PM by dkocher

Please test this using the latest snapshot build available.

comment:4 Changed on Dec 22, 2010 at 4:47:00 PM by http://clukas.myopenid.com/

I've tried with 4.0b9/8142 --and the hotkey is completely gone: when I press it, I hear the OS X error sound;-- There is no caption regarding a key-combination on the menu.

Let me correct that: The hotkey does in fact work, and the caption appears after the hotkey has been used once.

Last edited on Dec 23, 2010 at 12:54:33 AM by http://clukas.myopenid.com/ (previous) (diff)

comment:5 follow-up: Changed on Jan 14, 2011 at 5:58:59 PM by Ianerific

Keyboard shortcut for "Open URL (HTTP URL)" crashes/hangs Cyberduck - Version 3.8.1 (7954)

Sorry, I am not much of a power user, but I am getting the same error now in 3.8.1... rightclicking opens up the HTTP URL just fine, but Command-Option-B causes the whole thing to crash.

comment:6 in reply to: ↑ 5 Changed on Jan 15, 2011 at 9:36:15 AM by dkocher

Replying to Ianerific:

Keyboard shortcut for "Open URL (HTTP URL)" crashes/hangs Cyberduck - Version 3.8.1 (7954)

Sorry, I am not much of a power user, but I am getting the same error now in 3.8.1... rightclicking opens up the HTTP URL just fine, but Command-Option-B causes the whole thing to crash.

You must switch to the latest snapshot build available.

Note: See TracTickets for help on using tickets.
swiss made software